<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <link rel="stylesheet" href="/bootstrap/dist/css/bootstrap.min.css" />
  </head>
  <body>
    <div class="container">
      <div class="row">
        <h1 class="text-center my-3"><%= title %></h1>
      </div>

      <div class="row">
        <div id="alert" class="alert alert-danger d-none" role="alert">
          Gagal menyimpan data. Silakan cek koneksi internet anda!
        </div>
      </div>

      <div class="row">
        <form id="postForm">
          <% if(displayId) { %>
          <div class="mb-3">
            <label for="idField" class="form-label">ID</label>
            <input type="text" class="form-control" id="idField" />
          </div>
          <% } %>
          <div class="mb-3">
            <label for="titleField" class="form-label">Title</label>
            <input type="text" class="form-control" id="titleField" />
          </div>
          <div class="mb-3">
            <label for="bodyField" class="form-label">Body</label>
            <input type="text" class="form-control" id="bodyField" />
          </div>
          <% if(!viewOnly) { %>
          <button type="button" class="btn btn-primary" onclick="onSubmit()">
            Submit
          </button>
          <% } else { %>
          <a href="/" class="btn btn-warning"> Back </a>
          <% } %>
        </form>
      </div>
    </div>

    <script src="/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="/js/form.js"></script>
  </body>
</html>
